## slide2answer 0.1.4

=== Makefile ===
HILDON_STATUS_PANEL_LIB_DIR=$(shell pkg-config libhildondesktop-1 --variable=hildondesktoplibdir)
HILDON_STATUS_PANEL_DATA_DIR=$(shell pkg-config libhildondesktop-1 --variable=hildonstatusmenudesktopentrydir)
BUILDDIR=build
OBJS=build/slide2answer.o
SOURCES=src/slide2answer.c src/slide2answer_marshal.c
MARSHAL_LIST=src/slide2answer_marshal.c src/slide2answer_marshal.h
PKG_FLAGS=$(shell pkg-config hildon-1 libhildondesktop-1 gdk-2.0 gdk-x11-2.0 libosso-abook-1.0 libebook-1.2 telepathy-glib x11 gtk+-2.0 --libs --cflags)
CCFLAGS=-shared
CC=gcc

DATA_FILE=data/slide2answer.desktop
LIB=$(BUILDDIR)/slide2answer.so



all: $(MARSHAL_LIST) $(LIB)

install: 
	install -d $(DESTDIR)/$(LIB_DIR)
	install -d $(DESTDIR)/$(HILDON_STATUS_PANEL_LIB_DIR)
	install -m 644 $(LIB) $(DESTDIR)/$(HILDON_STATUS_PANEL_LIB_DIR)
	install -d $(DESTDIR)/$(HILDON_STATUS_PANEL_DATA_DIR)
	install -m 644 $(DATA_FILE) $(DESTDIR)/$(HILDON_STATUS_PANEL_DATA_DIR)

src/slide2answer_marshal.c: src/slide2answer_marshal.list
	glib-genmarshal --body --prefix=_slide2answer_marshal src/slide2answer_marshal.list  > src/slide2answer_marshal.c

src/slide2answer_marshal.h: src/slide2answer_marshal.list
	glib-genmarshal --header --prefix=_slide2answer_marshal src/slide2answer_marshal.list > src/slide2answer_marshal.h

$(LIB): build/slide2answer.o build/slide2answer_marshal.o
	$(CC) $(CCFLAGS) $(PKG_FLAGS) build/slide2answer.o build/slide2answer_marshal.o -o $(LIB)

build/slide2answer_marshal.o:src/slide2answer_marshal.c
	$(CC) $(CCFLAGS) $(PKG_FLAGS) -c $< -o $@

build/slide2answer.o: src/slide2answer.c
	$(CC) $(CCFLAGS) $(PKG_FLAGS) -c $< -o $@

.PHONY: clean all

clean:
	rm $(OBJS) $(MARSHAL_LIST)

## slide2answer 0.1

=== debian/changelog ===
slide2answer (0.1) unstable; urgency=low

  * Initial Release. 

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Sun, 13 Mar 2011 10:53:25 +0200

=== debian/control ===
Source: slide2answer
Section: user/system
Priority: optional
Maintainer: Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>
Build-Depends: debhelper (>= 5), libqt4-dev, libx11-dev
Standards-Version: 3.7.3

Package: slide2answer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Basic implementation of slide to answer feature.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1





configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	qmake

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp  
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/slide2answer.sgml > slide2answer.1

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	qmake && $(MAKE) distclean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/slide2answer.
	$(MAKE) INSTALL_ROOT="$(CURDIR)"/debian/slide2answer install
	cp slide2answer.event "$(CURDIR)"/debian/slide2answer/etc/event.d/slide2answer


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## slide2answer 0.1.1

=== debian/changelog ===
slide2answer (0.1.1) unstable; urgency=low

  * Swapped slider behaviour: to accept a call slide to the right, to reject a call slide to the left
  * Fixed bug when receiving a call from a number not in contact list

 -- Paolo Iommarini <sakya_tg@yahoo.it>  Sat, 02 Apr 2011 10:11:44 +0100

slide2answer (0.1.0) unstable; urgency=low

  * Initial Release.

 -- Nicolai Hess <nicolaihess@web.de>  Thu, 24 Mar 2011 23:09:44 +0100

## slide2answer 0.1.2

=== debian/changelog ===
slide2answer (0.1.2) unstable; urgency=low

  * Bigger contact image
  * Added caller number
  * Fixed slider appearence
  
 -- Paolo Iommarini <sakya_tg@yahoo.it>  Sun, 04 Apr 2011 12:34:12 +0100

## slide2answer 0.1.3

=== debian/changelog ===
slide2answer (0.1.3) unstable; urgency=low

  * support portrait mode
  * skype call slide2answer works now even after disconnect/connect skype
  * fixed freezing hildon-status-men

 -- Nicolai Hess <nicolaihess@web.de>  Sun, 17 Apr 2011 16:41:25 +0200

## slide2answer 0.1.4

=== debian/changelog ===
slide2answer (0.1.4) unstable; urgency=low

  * changed slider appearance back :-)
  * portrait mode support follows the setting in the call-ui
    (automatic, landscape only, portrait mode only)

 -- Nicolai Hess <nicolaihess@web.de>  Sun, 17 Apr 2011 23:44:40 +0200

=== debian/control ===
Source: slide2answer
Priority: extra
Maintainer: Nicolai Hess <nicolaihess@web.de>
Build-Depends: debhelper (>= 5), libgtk2.0-dev, libhildon1-dev, libhildondesktop1-dev, libglib2.0-dev, libhildonfm2-dev, libdbus-1-dev, libx11-dev, libosso-abook-dev, libtelepathy-glib-dev, libebook-dev
Standards-Version: 3.7.2
Section: user/system

Package: slide2answer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: slide2answer
 status plugin to show a slide2answer
 window when phone calls
XB-Maemo-Display-Name:Slide2Answer Phone UI
XSBC-Bugtracker: mailto:nicolaihess@web.de

=== debian/rules ===
--- 
+++ 
@@ -12,34 +12,47 @@
 
 
 
+CFLAGS = -Wall -g
+
+ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
+	CFLAGS += -O0
+else
+	CFLAGS += -O2
+endif
+
+# shared library versions, option 1
+version=2.0.5
+major=2
+# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
+#version=`ls src/.libs/lib*.so.* | \
+# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
+#major=`ls src/.libs/lib*.so.* | \
+# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`
 
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
 	# Add here commands to configure the package.
-	qmake
 
 	touch configure-stamp
 
 
 build: build-stamp
-
-build-stamp: configure-stamp  
+build-stamp: configure-stamp 
 	dh_testdir
 
 	# Add here commands to compile the package.
 	$(MAKE)
-	#docbook-to-man debian/slide2answer.sgml > slide2answer.1
 
 	touch $@
 
-clean: 
+clean:
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp configure-stamp
 
 	# Add here commands to clean up after the build process.
-	qmake && $(MAKE) distclean
+	-$(MAKE) clean
 
 	dh_clean 
 
@@ -49,9 +62,8 @@
 	dh_clean -k 
 	dh_installdirs
 
-	# Add here commands to install the package into debian/slide2answer.
-	$(MAKE) INSTALL_ROOT="$(CURDIR)"/debian/slide2answer install
-	cp slide2answer.event "$(CURDIR)"/debian/slide2answer/etc/event.d/slide2answer
+	# Add here commands to install the package into debian/tmp
+	$(MAKE) DESTDIR=$(CURDIR)/debian/slide2answer install
 
 
 # Build architecture-independent files here.
@@ -72,7 +84,6 @@
 #	dh_installemacsen
 #	dh_installpam
 #	dh_installmime
-#	dh_python
 #	dh_installinit
 #	dh_installcron
 #	dh_installinfo
@@ -82,6 +93,7 @@
 	dh_compress
 	dh_fixperms
 #	dh_perl
+#	dh_python
 #	dh_makeshlibs
 	dh_installdeb
 	dh_shlibdeps

## slide2answer 0.1.5

=== debian/changelog ===
slide2answer (0.1.5) unstable; urgency=low

  * dont show slide2answer screen on skype subscribe requests.

 -- Nicolai Hess <nicolaihess@web.de>  Sun,  1 May 2011 15:53:31 +0200

## slide2answer 0.1.6

=== debian/changelog ===
slide2answer (0.1.6) unstable; urgency=low

  * don't just jump to touch position, only slide if user drags 
    the knob.

 -- Nicolai Hess <nicolaihess@web.de>  Fri, 13 Apr 2012 22:34:40 +0200
